package com.seeyon.apps.src_ydctdatasync.datamap;

import com.seeyon.ctp.util.JDBCAgent;

public abstract class AbstractContractDataMapMode extends AbstractDataMapMode{

    protected JDBCAgent agent;
    protected String zcRootPcode;

    public String getZcRootPcode() {
        return zcRootPcode;
    }

    public void setZcRootPcode(String zcRootPcode) {
        this.zcRootPcode = zcRootPcode;
    }

    @Override
    public void commonAttrTransfer(Object target, Object source) {

    }

    public JDBCAgent getAgent() {
        return agent;
    }

    public void setAgent(JDBCAgent agent) {
        this.agent = agent;
    }
}
